Get tokens of all users

get https://app.mk.io/api/v1/organization/tokens

Get a list of all tokens that provide access to this MK.IO organization. Expired tokens will not be listed.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

200 OK
kindstringRequired
The kind of record.
valuelist of objectsUserTokenSchemaRequired
Token list.
Show 3 propertiesHide 3 properties
kindstringOptional
The kind of record.
metadataobjectUserTokenMetadataSchemaRequired
Token metadata.
Show 3 propertiesHide 3 properties
JWTstringOptional
Generated token. We do not store this token, so you will not be able to see it again. Please copy it and keep it securely.
idstringRequiredformat: uuid
ID of token.
typeenumRequired
Token type.
Allowed values:loginfull-accessrestrictedephemeral
specobjectUserTokenSpecSchemaRequired
Token spec.
Show 9 propertiesHide 9 properties
descriptionstringOptional0-128 characters
Description of the token. Max 128 characters.
expiresstringRequiredformat: date-time
Date token expires.
issuedstringRequiredformat: date-time
Date token was issued.
lastUsedstring or nullRequiredformat: date
Date token was last used on the MK.IO api.
organizationIdstring or nullOptionalformat: uuid
ID of the organization that this token allows access to.
permissionsmap from strings to anyOptional
The RBAC capabilities assigned to the token when type is 'restricted'
Show value schemaHide value schema
[any key]any
revokedstring or nullRequiredformat: date-time
Date token was revoked, or null if not revoked.
revokedBystringOptional
Email of user who revoked this token.
userstringRequired
Email of user the token was issued for.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code